org.licas.server

## Class Run_HttpServer

- java.lang.Object
- - org.licas.server.Run_HttpServer

-     public class Run_HttpServer
      extends java.lang.Object

  This class runs the HTTP server. You can use this class to start an `HttpServer` object running and also load an `ESB` object onto it. This can also be configured with command line arguments passed in as a String[]. The arguments do not all need to be included, but must be added in the following order: 1. Server port to run on. 2. 'Yes' or 'No' https protocol indicator. Yes means `https`, no means `http`. 3. Password for the server. 4. Service key for the server. 5. A contact address for the server administrator - email or something. 6. 'Yes' or 'No' contract indicator. 7. (Alternative) class name of the class to load as the ESB. If this is not included then the default 'ESB' is loaded. If this is included then it should extend the 'Service' class and have all of the required jar files, etc., locally available for loading. 8. An alternative representation of the IP address that the server will run on.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Run_HttpServer(java.lang.String[] args)` Creates a new instance of Run_HttpServer.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Start the http server running.
    `protected void` | `runServer(java.lang.String[] args)` Start the HTTP server.
    `static void` | `start(java.lang.String[] args)` Start the http server running.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Run_HttpServer

          protected Run_HttpServer(java.lang.String[] args)
                            throws java.lang.Exception

      Creates a new instance of Run_HttpServer.
      Parameters:
        `args` - the arguments.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### runServer

          protected void runServer(java.lang.String[] args)
                            throws java.lang.Exception

      Start the HTTP server.
      Parameters:
        `args` - initialisation argument - must be the server URL.
      Throws:
        `java.lang.Exception` - any error.

    - #### start

          public static void start(java.lang.String[] args)

      Start the http server running.
      Parameters:
        `args` - the command line arguments

    - #### main

          public static void main(java.lang.String[] args)

      Start the http server running.
      Parameters:
        `args` - the command line arguments